Debian Bug report logs - #509213
ITP: qtcreator -- IDE specifically designed for Qt

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adam Majer <adamm@zombino.com>

Date: Fri, 19 Dec 2008 19:03:02 UTC

Owned by: jeremy.laine@m4x.org

Severity: wishlist

Fixed in version qtcreator/1.0.0-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#509213; Package wnpp. (Fri, 19 Dec 2008 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Fri, 19 Dec 2008 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: qtcreator -- IDE specifically designed for Qt
Date: Fri, 19 Dec 2008 13:05:13 -0600
Package: wnpp
Severity: wishlist
Owner: Adam Majer <adamm@zombino.com>

* Package name    : qtcreator
  Version         : 0.9.1-beta
  Upstream Author : Nokia
* URL             : http://trolltech.com/developer/qt-creator
* License         : GPL
  Programming Lang: C++
  Description     : IDE specifically designed for Qt

Qt Creator is a lightweight development environment (IDE) designed to
make development with the Qt application framework faster and easier.
  * Tailored specifically to the needs of Qt developers creating
    cross-platform applications
  * Focuses on features that boost developer productivity without
    getting in their way
  * Helps new Qt developers get up and running faster
  * Open and extendable; integrates familiar tools and file formats



-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Adam Majer <adamm@zombino.com>:
Bug#509213; Package wnpp. (Tue, 30 Dec 2008 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Pipping <webmaster@hartwork.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Adam Majer <adamm@zombino.com>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 30 Dec 2008 22:18:05 GMT) Full text and rfc822 format available.


Message #10 received at 509213@bugs.debian.org (full text, mbox):

From: Sebastian Pipping <webmaster@hartwork.org>
To: 509213@bugs.debian.org
Date: Tue, 30 Dec 2008 23:14:24 +0100
Please join us at #qt-creator on Freenode if you have any questions.

Best regards, Sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Adam Majer <adamm@zombino.com>:
Bug#509213; Package wnpp. (Tue, 03 Mar 2009 01:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Riddell <jriddell@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Adam Majer <adamm@zombino.com>. (Tue, 03 Mar 2009 01:45:02 GMT) Full text and rfc822 format available.

Message #15 received at 509213@bugs.debian.org (full text, mbox):

From: Jonathan Riddell <jriddell@ubuntu.com>
To: 509213@bugs.debian.org
Subject: qt-creator package
Date: Tue, 3 Mar 2009 01:44:10 +0000
I have packaged this for Kubuntu.

https://edge.launchpad.net/ubuntu/+source/qt-creator




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Adam Majer <adamm@zombino.com>:
Bug#509213; Package wnpp. (Wed, 04 Mar 2009 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jeremy Lainé <jeremy.laine@m4x.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Adam Majer <adamm@zombino.com>. (Wed, 04 Mar 2009 15:00:03 GMT) Full text and rfc822 format available.

Message #20 received at 509213@bugs.debian.org (full text, mbox):

From: Jeremy Lainé <jeremy.laine@m4x.org>
To: 509213@bugs.debian.org
Subject: Debian packaging of qt-creator
Date: Wed, 04 Mar 2009 15:56:39 +0100
I have imported an improved version of Jonathan's packaging for
qt-creator to the Debian Qt/KDE Team's SVN repository:

http://svn.debian.org/wsvn/pkg-kde/trunk/packages/qt-creator

There are still a couple of lintian warnings I want to fix, after that I
am aiming for an upload to experimental in the near future.

Cheers,
Jeremy




Changed Bug title to `qt-creator -- IDE specifically designed for Qt' from `ITP: qtcreator -- IDE specifically designed for Qt'. Request was from Jeremy Lainé <jeremy.laine@m4x.org> to control@bugs.debian.org. (Wed, 04 Mar 2009 15:06:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `jeremy.laine@m4x.org'. Request was from Jeremy Lainé <jeremy.laine@m4x.org> to control@bugs.debian.org. (Wed, 04 Mar 2009 15:06:03 GMT) Full text and rfc822 format available.

Bug reassigned from package `jeremy.laine@m4x.org' to `wnpp'. Request was from Jeremy Lainé <jeremy.laine@m4x.org> to control@bugs.debian.org. (Wed, 04 Mar 2009 15:33:03 GMT) Full text and rfc822 format available.

Owner changed from Adam Majer <adamm@zombino.com> to jeremy.laine@m4x.org. Request was from Jeremy Lainé <jeremy.laine@m4x.org> to control@bugs.debian.org. (Wed, 04 Mar 2009 15:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jeremy.laine@m4x.org:
Bug#509213; Package wnpp. (Sat, 07 Mar 2009 06:00:06 GMT) Full text and rfc822 format available.

Message #31 received at 509213@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: 509213-submitter@bugs.debian.org, Jeremy Lainé <jeremy.laine@m4x.org>
Cc: 509213@bugs.debian.org, control@bugs.debian.org
Subject: Re: ITP: qtcreator -- IDE specifically designed for Qt
Date: Fri, 6 Mar 2009 10:46:31 -0600
retitle 509213 ITP: qtcreator -- IDE specifically designed for Qt
thanks

Hello Adam, Jeremy,

Jeremy: have you actually contacted Adam about you taking over this ITP? 
otherwise it can be considered a hijacking, and you don't want that.

> I have imported an improved version of Jonathan's packaging for
> qt-creator to the Debian Qt/KDE Team's SVN repository:
>
> http://svn.debian.org/wsvn/pkg-kde/trunk/packages/qt-creator

packages/qt-creator doesn't exist.

Could you please the two of you publicly clarify the situation? thanks.

Cheers,
-- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net




Changed Bug title to `ITP: qtcreator -- IDE specifically designed for Qt' from `qt-creator -- IDE specifically designed for Qt'. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 07 Mar 2009 06:00:08 GMT) Full text and rfc822 format available.

Message sent on to Adam Majer <adamm@zombino.com>:
Bug#509213. (Sat, 07 Mar 2009 06:00:17 GMT) Full text and rfc822 format available.

Information stored :
Bug#509213; Package wnpp. (Sat, 07 Mar 2009 06:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
Extra info received and filed, but not forwarded. (Sat, 07 Mar 2009 06:12:02 GMT) Full text and rfc822 format available.

Message #41 received at 509213-quiet@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Raphael Geissert <atomo64@gmail.com>, 509213-quiet@bugs.debian.org
Cc: Jeremy Lainé <jeremy.laine@m4x.org>
Subject: Re: Bug#509213: ITP: qtcreator -- IDE specifically designed for Qt
Date: Sat, 07 Mar 2009 00:10:02 -0600
Raphael Geissert wrote:
> retitle 509213 ITP: qtcreator -- IDE specifically designed for Qt
> thanks
> 
> Hello Adam, Jeremy,
> 
> Jeremy: have you actually contacted Adam about you taking over this ITP? 
> otherwise it can be considered a hijacking, and you don't want that.

Yes, they have. We are co-maintaining the package and it's on
git.debian.org.

Maybe we should have mentioned something on the ITP instead of just in
private. An oversight on our part.

>> I have imported an improved version of Jonathan's packaging for
>> qt-creator to the Debian Qt/KDE Team's SVN repository:
>>
>> http://svn.debian.org/wsvn/pkg-kde/trunk/packages/qt-creator
> 
> packages/qt-creator doesn't exist.
> 
> Could you please the two of you publicly clarify the situation? thanks.
> 
> Cheers,

http://git.debian.org/?p=collab-maint/qt-creator.git

is the home now.

Thanks for the concern!

- Adam





Information stored :
Bug#509213; Package wnpp. (Sat, 07 Mar 2009 06:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
Extra info received and filed, but not forwarded. (Sat, 07 Mar 2009 06:15:02 GMT) Full text and rfc822 format available.

Message #46 received at 509213-quiet@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Raphael Geissert <atomo64@gmail.com>, 509213-quiet@bugs.debian.org
Cc: Jeremy Lainé <jeremy.laine@m4x.org>
Subject: Re: Bug#509213: ITP: qtcreator -- IDE specifically designed for Qt
Date: Sat, 07 Mar 2009 00:11:55 -0600
If I may also add, Fathi Boudra (fabo) is also co-maintaining with the
KDE/Qt as maintainer now.

- Adam




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Mar 2009 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Fri, 24 Apr 2009 23:48:04 GMT) Full text and rfc822 format available.

Notification sent to Adam Majer <adamm@zombino.com>:
Bug acknowledged by developer. (Fri, 24 Apr 2009 23:48:04 GMT) Full text and rfc822 format available.

Message #53 received at 509213-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 509213-close@bugs.debian.org
Subject: Bug#509213: fixed in qtcreator 1.0.0-1
Date: Fri, 24 Apr 2009 23:20:40 +0000
Source: qtcreator
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
qtcreator, which is due to be installed in the Debian FTP archive:

qtcreator-doc_1.0.0-1_all.deb
  to pool/main/q/qtcreator/qtcreator-doc_1.0.0-1_all.deb
qtcreator_1.0.0-1.diff.gz
  to pool/main/q/qtcreator/qtcreator_1.0.0-1.diff.gz
qtcreator_1.0.0-1.dsc
  to pool/main/q/qtcreator/qtcreator_1.0.0-1.dsc
qtcreator_1.0.0-1_amd64.deb
  to pool/main/q/qtcreator/qtcreator_1.0.0-1_amd64.deb
qtcreator_1.0.0-1_i386.deb
  to pool/main/q/qtcreator/qtcreator_1.0.0-1_i386.deb
qtcreator_1.0.0.orig.tar.gz
  to pool/main/q/qtcreator/qtcreator_1.0.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 509213@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated qtcreator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 Mar 2009 13:14:21 +0100
Source: qtcreator
Binary: qtcreator qtcreator-doc
Architecture: all amd64 i386 source 
Version: 1.0.0-1
Distribution: experimental
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Closes: 509213
Description:
 qtcreator-doc - documentation for Qt Creator IDE
 qtcreator  - lightweight integrated development environment (IDE) for Qt
Changes:
 qtcreator (1.0.0-1) experimental; urgency=low
 .
   * Initial release (Closes: #509213).
Checksums-Sha1: 
 155a58be503c407fdac53182afed3c4b0a1d2513 7161 qtcreator_1.0.0-1.diff.gz
 70c2be1dd51de14e12efb42fb3e09b7fbb3fff92 3452792 qtcreator_1.0.0-1_i386.deb
 98432602ea4280422abd91d7f4a0cd901ffcce1c 4175738 qtcreator-doc_1.0.0-1_all.deb
 a0b579b998c5abe173bb9f73816b60657b09e56f 3475694 qtcreator_1.0.0-1_amd64.deb
 4cfb6a9b85be781a01821bb3b7c543fb8529d497 1459 qtcreator_1.0.0-1.dsc
 ed48c97e689f19b100a188e33c7e91fd569e5503 6162693 qtcreator_1.0.0.orig.tar.gz
Checksums-Sha256: 
 0fffdfacae084967795001e28ca193550ea1148ff0af60131b26993f414b919f 3452792 qtcreator_1.0.0-1_i386.deb
 3147cb28f251a93a2a9d92f827abdc09e6b2a2d3899cfd8392d5a139fc334b56 6162693 qtcreator_1.0.0.orig.tar.gz
 508102509e26bbc09252b626603e1460be4b085e760395ced9fc669350a58c16 7161 qtcreator_1.0.0-1.diff.gz
 790dc9fd4e377d54f5a1d23cb928c4d019418fa70b7757ca5fab8687abcaea60 3475694 qtcreator_1.0.0-1_amd64.deb
 8d7058bf2455d3785d93c49b8ab7088575af5cc72f1ac52a1450535e91e9d5a6 4175738 qtcreator-doc_1.0.0-1_all.deb
 a4ee01eb9b36ecc511f50938567928b4270dd2736429cfb3d2cae34098bde6c7 1459 qtcreator_1.0.0-1.dsc
Files: 
 1c3ac30f0e99d52b97c48ecf66f87aaf 3475694 devel optional qtcreator_1.0.0-1_amd64.deb
 2bd32b1cfe908a473457f1bcb43a5909 3452792 devel optional qtcreator_1.0.0-1_i386.deb
 505bb21611f13a704ce7e12f4d5c4739 4175738 doc optional qtcreator-doc_1.0.0-1_all.deb
 5c6ca9f175673e6eab7e904ced4f6b4d 7161 devel optional qtcreator_1.0.0-1.diff.gz
 01559e687ff2b12929ca25aa636f335a 1459 devel optional qtcreator_1.0.0-1.dsc
 9e0610ad2d4c8dd5e91b95ae1461e1e7 6162693 devel optional qtcreator_1.0.0.orig.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkmyOZ4ACgkQjPU19mqlcvcsVQP+Lg054MShTZudtLd+d/UgDCJB
yjK2HRmk1FoJ+XYbaTOaBrDhNyNJ7KBHt3iOFdKKg3PVwtFnYy3LOFadZQWDdp3+
3nmZiQ6TjCrcYNDUuDwjwsxI9k1OLCiXnXpLGUFFZb2io6kh2KH4eJVDGr791BkY
IDTtidy72cyliL3cytQ=
=Rd1x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 May 2009 07:28:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:54:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.